<template>
  <div class="inputTime">
    <picker mode="date"
            name="activity.endDate"
            :value="activity.endDate"
            start="inputtime.mintime?inputtime.mintime:''"
            end="inputtime.maxtime"
            @change="bindDateChange">
      <div class="list">
        <p class="title">{{inputtime.text}}</p>
        <p  :style="{color:inputtime.value==='' ?'#999':'#fff'}" >{{inputtime.value?inputtime.value:inputtime.placeholder}}</p>
        <img :src="enterIcon">
      </div>
    </picker>
    <div class="line"></div>
  </div>
</template>

<script type="text/ecmascript-6">
  // ic-common-forward
  import config from '@/config'
  export default {
     data(){
        return{
          enterIcon: config.url+'ic-common-forward.png',
          activity:{
            endDate:''
          }
        }
     },
     props:{
       inputtime:{
         default(){
          return{
            text : '选择时间',
            placeholder:'请选择时间',
            value:'',//时间值
            mintime : null,//最小时间
            maxtime : null//最大时间
           }
         }
       }
     },
      methods:{
        bindDateChange(e) {
          console.log(e)
          console.log(this.inputtime.maxtime);
          this.activity.endDate = e.mp.detail.value;
          this.inputtime.value = e.mp.detail.value;
        }
      },
      created(){

      }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
  .inputTime{
    margin-left: 0.32rem;
    padding-top: 0.25rem;
    .list{
      display: flex;
      position: relative;
      .title{
        margin-right: 0.5rem;
        font-size: 0.32rem;
      }
      p{
        color:#C98E52;
        font-size: 0.32rem;
      }
      img{
        position: absolute;
        top: 0.05rem;
        right: 0.5rem;
        width: 0.13rem;
        height: 0.22rem;
      }
    }
    .line{
      width: 345px;
      margin-top: 0.25rem;
      border-bottom: 1px solid #999;
    }
  }
</style>
